cascading.flow.planner.process

## Class FlowNodeGraph.FlowNodeComparator

- java.lang.Object
- - cascading.flow.planner.process.FlowNodeGraph.FlowNodeComparator

- All Implemented Interfaces:
    Comparator<FlowNode>
  Enclosing class:
    FlowNodeGraph

      public static class FlowNodeGraph.FlowNodeComparator
      extends Object
      implements Comparator<FlowNode>

  Class FlowNodeComparator provides a consistent tie breaker when ordering nodes topologically.

  This should have no effect on submission and execution priority as all FlowNodes are submitted simultaneously.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FlowNodeGraph.FlowNodeComparator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compare(FlowNode lhs, FlowNode rhs)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `equals`

- - ### Constructor Detail

    - #### FlowNodeGraph.FlowNodeComparator

          public FlowNodeGraph.FlowNodeComparator()

  - ### Method Detail

    - #### compare

          public int compare(FlowNode lhs,
                    FlowNode rhs)

      Specified by:
        `compare` in interface `Comparator<FlowNode>`

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.